GitHub compatibility badges for your NodeBB plugins!


  • Admin

    Hey all, we've added a new feature to the package manager for compatibility badges. Simply add to your README file an image pointing to the following URL with your plugin's name, ex:

    https://packages.nodebb.org/api/v1/plugins/<PLUGIN-NAME>/compatibility.png.

    Examples:
    https://packages.nodebb.org/api/v1/plugins/nodebb-plugin-recent-cards/compatibility.png

    https://packages.nodebb.org/api/v1/plugins/nodebb-plugin-blog-comments/compatibility.png



  • Wouldn't it be nicer for plugin authors to always show 'compatible' with the last release that the plugin was compatible with?

    I think I would be reluctant to add a badge to my READMEs that tells my potential users that this plugin doesn't (yet) work with a NodeBB version that has just been released.

    Just a thought :)


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.